<template>
    <div>
        <div class="row">
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <h3>Data Isian Inovasi</h3>
                        <p>"Silahkan mengisi sesuai petunjuk informasi dan kebutuhan"</p>
                    </div>
                </div>
            </div>
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        Keterangan : &nbsp;&nbsp;&nbsp;
                        <a class="btn btn-danger" style="pointer-events: none"></a>
                        Belum Terisi &nbsp;&nbsp;&nbsp;
                        <a class="btn btn-warning" style="pointer-events: none"></a>
                        Belum Lengkap &nbsp;&nbsp;&nbsp;
                        <a class="btn btn-success" style="pointer-events: none"></a>
                        Sudah Terisi &nbsp;&nbsp;&nbsp;
                        <a class="btn btn-light" style="pointer-events: none"></a>
                        Saat Ini
                    </div>
                </div>
            </div>
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                    <div class="card-body">
                        <p>Daftar Data Isian Inovasi</p>
                        <div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups">
                            <div class="btn-group mr-2" role="group" aria-label="First group">
                                <button v-b-tooltip.hover title="Nama Inovasi" type="button" :class="inovasiStep==1 ? stepAktif : step1" @click.prevent="submitStep(1)">1</button>
                                <button v-b-tooltip.hover title="Inisiator Inovasi" type="button" :class="inovasiStep==2 ? stepAktif : step2" @click.prevent="submitStep(2)">2</button>
                                <button v-b-tooltip.hover title="Sistem Inovasi" type="button" :class="inovasiStep==3 ? stepAktif : step3" @click.prevent="submitStep(3)">3</button>
                                <button v-b-tooltip.hover title="Bentuk Inovasi" type="button" :class="inovasiStep==4 ? stepAktif : step4" @click.prevent="submitStep(4)">4</button>
                                <button v-b-tooltip.hover title="Jenis Inovasi" type="button" :class="inovasiStep==5 ? stepAktif : step5" @click.prevent="submitStep(5)">5</button>
                                <button v-b-tooltip.hover title="Inovasi Berkaitan Covid-19" type="button" :class="inovasiStep==6 ? stepAktif : step6" @click.prevent="submitStep(6)">6</button>
                                <button v-b-tooltip.hover title="Bidang Fokus Inovasi" type="button" :class="inovasiStep==7 ? stepAktif : step7" @click.prevent="submitStep(7)">7</button>
                                <button v-b-tooltip.hover title="Urusan Inovasi" type="button" :class="inovasiStep==8 ? stepAktif : step8" @click.prevent="submitStep(8)">8</button>
                                <button v-b-tooltip.hover title="Waktu Ujicoba Inovasi" type="button" :class="inovasiStep==9 ? stepAktif : step9" @click.prevent="submitStep(9)">9</button>
                                <button v-b-tooltip.hover title="Waktu Penerapan Inovasi Inovasi" type="button" :class="inovasiStep==10 ? stepAktif : step10" @click.prevent="submitStep(10)">10</button>
                                <button v-b-tooltip.hover title="Rancang Bangun Inovasi" type="button" :class="inovasiStep==11 ? stepAktif : step11" @click.prevent="submitStep(11)">11</button>
                                <button v-b-tooltip.hover title="Tujuan Inovasi" type="button" :class="inovasiStep==12 ? stepAktif : step12" @click.prevent="submitStep(12)">12</button>
                                <button v-b-tooltip.hover title="Manfaat Inovasi" type="button" :class="inovasiStep==13 ? stepAktif : step13" @click.prevent="submitStep(13)">13</button>
                                <button v-b-tooltip.hover title="Hasil Inovasi" type="button" :class="inovasiStep==14 ? stepAktif : step14" @click.prevent="submitStep(14)">14</button>
                                <button v-b-tooltip.hover title="Anggaran Inovasi" type="button" :class="inovasiStep==15 ? stepAktif : step15" @click.prevent="submitStep(15)">15</button>
                                <button v-b-tooltip.hover title="Logo Inovasi" type="button" :class="inovasiStep==16 ? stepAktif : step16" @click.prevent="submitStep(16)">16</button>
                                <button v-b-tooltip.hover title="Foto Inovasi" type="button" :class="inovasiStep==17 ? stepAktif : step17" @click.prevent="submitStep(17)">17</button>
                                <button v-b-tooltip.hover title="Kualitas Inovasi Daerah (Video Inovasi Daerah)" type="button" :class="inovasiStep==18 ? stepAktif : step18" @click.prevent="submitStep(18)">18</button>
                                <button v-b-tooltip.hover title="Pengalaman Inovasi" type="button" :class="inovasiStep==19 ? stepAktif : step19" @click.prevent="submitStep(19)">19</button>
                                <button v-b-tooltip.hover title="Penghargaan Inovasi" type="button" :class="inovasiStep==20 ? stepAktif : step20" @click.prevent="submitStep(20)">20</button>
                                <button v-b-tooltip.hover title="HKI Inovasi" type="button" :class="inovasiStep==21 ? stepAktif : step21" @click.prevent="submitStep(21)">21</button>
                            </div>
                        </div>
                        <hr>
                        <br>
                        <form class="forms-sample">
                            <div class="form-group" v-if="inovasiStep==1">
                                <label for="nama_singkat">1. Nama Inovasi Daerah</label>
                                <p style="font-size:12px; text-align: justify;">Nama resmi inovasi</p>
                                <br>
                                <p style="font-size:12px; text-align: justify;">Nama Singkat Inovasi</p>
                                <input  type="text" maxlength="20"
                                class="form-control"
                                id="nama_singkat"
                                autocomplete="off"
                                placeholder="Your answer"
                                v-model="currentData.nama_singkat"
                                v-validate="'required'"
                                name="nama_singkat"
                                data-vv-as="Nama Singkat Inovasi Daerah">
                                <div class="text-danger small">{{ veeErrors.first('nama_singkat') }}</div>
                                <br>
                                <p style="font-size:12px; text-align: justify;">Nama Lengkap Inovasi</p>
                                <input  type="text" maxlength="50"
                                class="form-control"
                                id="nama_lengkap"
                                autocomplete="off"
                                placeholder="Your answer"
                                v-model="currentData.nama_lengkap"
                                v-validate="'required'"
                                name="nama_lengkap"
                                data-vv-as="Nama Singkat Inovasi Daerah">
                                <div class="text-danger small">{{ veeErrors.first('nama_lengkap') }}</div>
                                <br>
                            </div>
                            <div class="form-group" v-if="inovasiStep==2">
                                <label for="exampleFormControlSelect1">2. Inisiator Inovasi Daerah</label>
                                <p style="font-size:12px; text-align: justify;">Pilihan inisiator atau pencetus ide inovasi</p>
                                <div class="form-check" v-for="(inisiator_inovasi,index) in inisiatorinovasi" :key="index">
                                    <label class="form-check-label">
                                        <input  type="radio"
                                        class="form-check-input"
                                        id="inisiator_inovasi_id"
                                        :value="inisiator_inovasi.id"
                                        v-model="currentData.inisiator_inovasi_id"
                                        v-validate="'required'"
                                        name="inisiator_inovasi_id"
                                        data-vv-as="Inisiator Inovasi Daerah">
                                        {{ inisiator_inovasi.name }}
                                        <i class="input-frame"></i>
                                    </label>
                                </div>
                                <div class="text-danger small">{{ veeErrors.first('inisiator_inovasi_id') }}</div>
                                <a href="#" class="card-link font-italic" @click.prevent="unselect(2)">Clear Selected</a>
                                <br>
                            </div>
                            <div class="form-group" v-if="inovasiStep==3">
                                <label for="exampleFormControlSelect1">3. Sistem Inovasi Daerah</label>
                                <p style="font-size:12px; text-align: justify;">Pilihan sistem inovasi yang telah berlangsung</p>
                                <div class="form-check" v-for="(sistem_inovasi,index) in sisteminovasi" :key="index">
                                    <label class="form-check-label">
                                        <input  type="radio"
                                        class="form-check-input"
                                        id="sistem_inovasi_id"
                                        :value="sistem_inovasi.id"
                                        v-model="currentData.sistem_inovasi_id"
                                        v-validate="'required'"
                                        name="sistem_inovasi_id"
                                        data-vv-as="Sistem Inovasi Daerah">
                                        {{ sistem_inovasi.name }}
                                        <i class="input-frame"></i>
                                    </label>
                                </div>
                                <div class="text-danger small">{{ veeErrors.first('sistem_inovasi_id') }}</div>
                                <a href="#" class="card-link font-italic" @click.prevent="unselect(3)">Clear Selected</a>

                                <br>
                            </div>
                            <div class="form-group" v-if="inovasiStep==4">
                                <label for="exampleFormControlSelect1">4. Bentuk Inovasi Daerah</label>
                                <p style="font-size:12px; text-align: justify;">Pilihan bentuk inovasi yang telah berlangsung</p>
                                <div class="form-check" v-for="(bentuk_inovasi,index) in bentukinovasi" :key="index">
                                    <label class="form-check-label">
                                        <input  type="radio"
                                        class="form-check-input"
                                        id="bentuk_inovasi_id"
                                        :value="bentuk_inovasi.id"
                                        v-model="currentData.bentuk_inovasi_id"
                                        v-validate="'required'"
                                        name="bentuk_inovasi_id"
                                        data-vv-as="Bentuk Inovasi Daerah">
                                        {{ bentuk_inovasi.name }}
                                        <i class="input-frame"></i>
                                    </label>
                                </div>
                                <div class="text-danger small">{{ veeErrors.first('bentuk_inovasi_id') }}</div>
                                <a href="#" class="card-link font-italic" @click.prevent="unselect(4)">Clear Selected</a>
                                <br>
                            </div>
                            <div class="form-group" v-if="inovasiStep==5">
                                <label for="exampleFormControlSelect1">5. Jenis Inovasi Daerah</label>
                                <p style="font-size:12px; text-align: justify;">Pilihan jenis inovasi yang telah berlangsung</p>
                                <div class="form-check" v-for="(jenis_inovasi,index) in jenisinovasi" :key="index">
                                    <label class="form-check-label">
                                        <input  type="radio"
                                        class="form-check-input"
                                        id="jenis_inovasi_id"
                                        :value="jenis_inovasi.id"
                                        v-model="currentData.jenis_inovasi_id"
                                        v-validate="'required'"
                                        name="jenis_inovasi_id"
                                        data-vv-as="Bentuk Inovasi Daerah">
                                        {{ jenis_inovasi.name }}
                                        <i class="input-frame"></i>
                                    </label>
                                </div>
                                <div class="text-danger small">{{ veeErrors.first('jenis_inovasi_id') }}</div>
                                <a href="#" class="card-link font-italic" @click.prevent="unselect(5)">Clear Selected</a>
                                <br>
                            </div>
                            <div class="form-group" v-if="inovasiStep==6">
                                <label for="exampleFormControlSelect1">6. Inovasi Daerah berkaitan Covid-19</label>
                                <p style="font-size:12px; text-align: justify;">Pilihan inovasi berkaitan dengan penanganan Covid-19 atau tidak</p>
                                <div class="form-check" v-for="(covid_inovasi,index) in covidinovasi" :key="index">
                                    <label class="form-check-label">
                                        <input  type="radio"
                                        class="form-check-input"
                                        id="covid_inovasi_id"
                                        :value="covid_inovasi.id"
                                        v-model="currentData.covid_inovasi_id"
                                        v-validate="'required'"
                                        name="covid_inovasi_id"
                                        data-vv-as="Inovasi Daerah dalam rangka atau berkaitan dengan COVID-19">
                                        {{ covid_inovasi.name }}
                                        <i class="input-frame"></i>
                                    </label>
                                </div>
                                <div class="text-danger small">{{ veeErrors.first('covid_inovasi_id') }}</div>
                                <a href="#" class="card-link font-italic" @click.prevent="unselect(6)">Clear Selected</a>
                                <br>
                            </div>
                            <div class="form-group" v-if="inovasiStep==7">
                                <label for="exampleFormControlSelect1">7. Bidang Fokus Inovasi Daerah</label>
                                <p style="font-size:12px; text-align: justify;">Pilihan bidang fokus inovasi yang telah berlangsung</p>
                                <div class="form-check" v-for="(bidang_inovasi,index) in bidanginovasi" :key="index">
                                    <label class="form-check-label">
                                        <input  type="radio"
                                        class="form-check-input"
                                        id="bidang_inovasi_id"
                                        :value="bidang_inovasi.id"
                                        v-model="currentData.bidang_inovasi_id"
                                        v-validate="'required'"
                                        name="bidang_inovasi_id"
                                        data-vv-as="Inovasi Daerah dalam rangka atau berkaitan dengan COVID-19">
                                        {{ bidang_inovasi.name }}
                                        <i class="input-frame"></i>
                                    </label>
                                </div>
                                <div class="text-danger small">{{ veeErrors.first('bidang_inovasi_id') }}</div>
                                <a href="#" class="card-link font-italic" @click.prevent="unselect(7)">Clear Selected</a>
                                <br>
                            </div>
                            <div class="form-group" v-if="inovasiStep==8">
                                <label for="exampleFormControlSelect1">8. Urusan Inovasi Daerah</label>
                                <p style="font-size:12px; text-align: justify;">Urusan yang berkaitan dengan inovasi yang telah berlangsung</p>
                                <multiselect
                                v-model="urusaninovasis"
                                tag-placeholder="Add Urusan Inovasi Daerah"
                                placeholder="Search or add Urusan Inovasi Daerah"
                                :close-on-select="false"
                                :clear-on-select="false"
                                label="name"
                                :options="options"
                                :multiple="true"
                                track-by="name"
                                :max="3"
                                :allow-empty="true"
                                :preselect-first="false"
                                @tag="addTag">
                            </multiselect>
                            <div class="text-danger small">{{ veeErrors.first('nama') }}</div>
                            <br>
                        </div>
                        <div class="form-group" v-if="inovasiStep==9">
                            <label for="exampleFormControlSelect1">9. Waktu Uji Coba Inovasi Daerah</label>
                            <p style="font-size:12px; text-align: justify;">Waktu pelaksanaan uji coba inovasi tersebut</p>
                            <input  type="date"
                            class="form-control"
                            id="waktu_ujicoba"
                            v-model="currentData.waktu_ujicoba"
                            v-validate="'required'"
                            name="waktu_ujicoba"
                            data-vv-as="Waktu Uji Coba Inovasi Daerah">
                            <div class="text-danger small">{{ veeErrors.first('waktu_ujicoba') }}</div>
                            <br>
                        </div>
                        <div class="form-group" v-if="inovasiStep==10">
                            <label for="exampleFormControlSelect1">10. Waktu Penerapan Inovasi Daerah</label>
                            <p style="font-size:12px; text-align: justify;">Waktu pelaksanaan penerapan inovasi tersebut</p>
                            <input  type="date"
                            class="form-control"
                            id="waktu_implementasi"
                            v-model="currentData.waktu_implementasi"
                            v-validate="'required'"
                            name="waktu_implementasi"
                            data-vv-as="Waktu Penerapan Inovasi Daerah">
                            <div class="text-danger small">{{ veeErrors.first('waktu_implementasi') }}</div>
                            <br>
                        </div>
                        <div class="form-group" v-if="inovasiStep==11">
                            <label>11. Rancang Bangun dan Pokok Perubahan yang Dilakukan</label>
                            <p style="font-size:12px; text-align: justify;">Rancang bangun dan pokok perubahan yang mendasari inovasi tersebut dibuat</p>
                            <textarea
                            class="form-control"
                            id="rancang_bangun"
                            autocomplete="off"
                            placeholder="Your answer"
                            v-model="currentData.rancang_bangun"
                            v-validate="'required'"
                            name="rancang_bangun"
                            data-vv-as="Rancang Bangun dan Pokok Perubahan yang Dilakukan"
                            rows="7" />
                            <div class="text-danger small">{{ veeErrors.first('rancang_bangun') }}</div>
                            <br>
                        </div>
                        <div class="form-group" v-if="inovasiStep==12">
                            <label>12. Tujuan Inovasi Daera</label>
                            <p style="font-size:12px; text-align: justify;">Tujuan yang dicapai dari inovasi tersebut</p>
                            <textarea
                            class="form-control"
                            id="tujuan"
                            autocomplete="off"
                            placeholder="Your answer"
                            v-model="currentData.tujuan"
                            v-validate="'required'"
                            name="tujuan"
                            data-vv-as="Tujuan Inovasi Daerah"
                            rows="7" />
                            <div class="text-danger small">{{ veeErrors.first('tujuan') }}</div>
                            <br>
                        </div>
                        <div class="form-group" v-if="inovasiStep==13">
                            <label>13. Manfaat Inovasi Daerah</label>
                            <p style="font-size:12px; text-align: justify;">Manfaat yang diberikan dari inovasi tersebut</p>
                            <textarea
                            class="form-control"
                            id="manfaat"
                            autocomplete="off"
                            placeholder="Your answer"
                            v-model="currentData.manfaat"
                            v-validate="'required'"
                            name="manfaat"
                            data-vv-as="Manfaat Inovasi Daerah"
                            rows="7" />
                            <div class="text-danger small">{{ veeErrors.first('manfaat') }}</div>
                            <br>
                        </div>
                        <div class="form-group" v-if="inovasiStep==14">
                            <label>14. Hasil Inovasi Daera</label>
                            <p style="font-size:12px; text-align: justify;">Hasil yang didapat dari inovasi tersebut</p>
                            <textarea
                            class="form-control"
                            id="hasil"
                            autocomplete="off"
                            placeholder="Your answer"
                            v-model="currentData.hasil"
                            v-validate="'required'"
                            name="hasil"
                            data-vv-as="Hasil Inovasi Daerah"
                            rows="7" />
                            <div class="text-danger small">{{ veeErrors.first('hasil') }}</div>
                            <br>
                        </div>
                        <div class="form-group" v-if="inovasiStep==15">
                            <label for="exampleFormControlSelect1">15. Anggaran Inovasi Daerah</label>
                            <p style="font-size:12px; text-align: justify;">Anggaran yang disiapkan untuk inovasi tersebut</p>
                            <div class="form-check" v-for="anggaran_inovasi in anggaraninovasi">
                                <label class="form-check-label">
                                    <input  type="radio"
                                    class="form-check-input"
                                    id="anggaran_inovasi_id"
                                    :value="anggaran_inovasi.id"
                                    v-model="currentData.anggaran_inovasi_id"
                                    v-validate="'required'"
                                    name="anggaran_inovasi_id"
                                    data-vv-as="Anggaran Inovasi Daerah">
                                    {{ anggaran_inovasi.name }}
                                    <i class="input-frame"></i>
                                </label>
                            </div>
                            <div class="text-danger small">{{ veeErrors.first('anggaran_inovasi_id') }}</div>
                            <a href="#" class="card-link font-italic" @click.prevent="unselect(15)">Clear Selected</a>
                            <br>
                            <label>Penjelasan Jawaban</label>
                            <textarea
                            class="form-control"
                            id="ket_anggaran"
                            autocomplete="off"
                            placeholder="Your answer"
                            v-model="currentData.ket_anggaran"
                            v-validate="'required'"
                            name="ket_anggaran"
                            data-vv-as="Penjeasan Jawaban"
                            rows="5" />
                            <div class="text-danger small">{{ veeErrors.first('ket_anggaran') }}</div>
                            <br>
                            <div v-if="(currentData.anggaran_inovasi_id!=3)">
                                <p style="font-size:12px; text-align: justify;">| Jenis Data: Dokumen | Jumlah File (Maksimal): 1 | Tipe File: pdf |</p>
                                <div v-for="(file, index) in editFileAnggarans" :key="index">
                                    <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                                    <br>
                                    <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                                    <br>
                                    <button type="button" class="btn btn-danger" @click.prevent="removeFileAnggarans(file,index)">Remove</button>
                                    <hr/>
                                </div>
                                <div v-for="file in file_anggaran">
                                    <img v-if="!file.error" :src="getFile(file.name)" alt="anggaran" width="100" height="auto" >
                                    <span v-else>Can't Preview File</span>
                                    <br/>
                                    <a v-if="file.response.name" :href="getFileDownload(file.response.name)" download>{{ file.response.name }} (Click for download)</a>
                                    <br/>
                                    <span>File: {{file.name}}</span> |
                                    <span>Size: {{file.size | formatSize}}</span>|
                                    <span v-if="file.error" class="btn-danger pl-1 pr-1">{{(file.error=='denied'?"Upload File Failed":"Upload File Error")}}</span>
                                    <span v-else-if="file.success"  class="btn-success pl-1 pr-1">Success Upload</span>
                                    <span v-else-if="file.active">Proses Upload - {{file.progress}}/100</span>
                                    <span v-else></span>
                                    <div :class="{'progress-bar': true, 'progress-bar-striped': true, 'bg-danger': file.error, 'progress-bar-animated': file.active}" role="progressbar" :style="{width: file.progress + '%'}">{{file.progress}}%</div>
                                    <button type="button" class="btn btn-danger" @click.prevent="removeAnggaran(file)">Remove</button>
                                    <hr/>
                                </div>

                                <file-upload
                                class="btn btn-primary"
                                post-action="upload/file_anggaran"
                                extensions="pdf"
                                accept="application/pdf"
                                :multiple="false"
                                v-model="file_anggaran"
                                @input-filter="inputFilter"
                                @input-file="uploadFileAnggaran"
                                :maximum="1"
                                ref="file_anggaran"
                                :headers="{'X-CSRF-TOKEN': token}"
                                :drop="true"
                                name="file_anggaran"
                                data-vv-as="Upload File"
                                :disabled='this.editFileAnggarans.length + this.file_anggaran.length >= 1 ? true : false'
                                :v-validate="this.editFileAnggarans.length + this.file_anggaran.length == 0 ? 'required' : ''">
                                <i class="fa fa-plus"></i>
                                Select files
                            </file-upload>
                            <div class="text-danger small">{{ veeErrors.first('file_anggaran') }}</div>
                        </div>

                        <br>
                    </div>
                    <div class="form-group" v-if="inovasiStep==16">
                        <label>16. Logo Inovasi Daera</label>
                        <p style="font-size:12px; text-align: justify;">Logo inovasi tersebut (jika tersedia)</p>
                        <p style="font-size:12px; text-align: justify;">| Jenis Data: Foto/Gambar | Jumlah File (Maksimal): 1 | Tipe File: png/jpg/jpeg |</p>
                        <div v-for="(file, index) in editFileLogo" :key="index">
                            <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                            <br>
                            <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                            <br>
                            <button type="button" class="btn btn-danger" @click.prevent="removeFileLogo(file,index)">Remove</button>
                            <hr/>
                        </div>
                        <div v-for="file in logo">
                            <img v-if="!file.error" :src="getFile(file.name)" alt="logo" width="100" height="auto" >
                            <span v-else>Can't Preview File</span>
                            <br/>
                            <a v-if="file.response.name" :href="getFileDownload(file.response.name)" download>{{ file.response.name }} (Click for download)</a>
                            <br/>
                            <span>File: {{file.name}}</span> |
                            <span>Size: {{file.size | formatSize}}</span>|
                            <span v-if="file.error" class="btn-danger pl-1 pr-1">{{(file.error=='denied'?"Upload File Failed":"Upload File Error")}}</span>
                            <span v-else-if="file.success"  class="btn-success pl-1 pr-1">Success Upload</span>
                            <span v-else-if="file.active">Proses Upload - {{file.progress}}/100</span>
                            <span v-else></span>
                            <div :class="{'progress-bar': true, 'progress-bar-striped': true, 'bg-danger': file.error, 'progress-bar-animated': file.active}" role="progressbar" :style="{width: file.progress + '%'}">{{file.progress}}%</div>
                            <button type="button" class="btn btn-danger" @click.prevent="removeLogo(file)">Remove</button>
                            <hr/>
                        </div>

                        <file-upload
                        class="btn btn-primary"
                        post-action="upload/logo"
                        extensions="jpg,jpeg,png"
                        accept="image/png,image/jpeg,image/jpg"
                        :multiple="false"
                        :maximum="1"
                        v-model="logo"
                        @input-filter="inputFilter"
                        @input-file="uploadLogo"
                        ref="logo"
                        :headers="{'X-CSRF-TOKEN': token}"
                        :drop="true"
                        name="logo"
                        data-vv-as="Upload File"
                        :disabled='this.editFileLogo.length + this.logo.length == 1 ? true : false'
                        :v-validate="this.editFileLogo.length + this.logo.length == 0 ? 'required' : ''">
                        <i class="fa fa-plus"></i>
                        Select files
                    </file-upload>
                    <div class="text-danger small">{{ veeErrors.first('logo') }}</div>
                    <br>
                </div>
                <div class="form-group" v-if="inovasiStep==17">
                    <label>17. Kompilasi Foto Terbaik Inovasi Daera</label>
                    <p style="font-size:12px; text-align: justify;">| Jenis Data: Foto/Gambar | Jumlah File (Maksimal): 4 | Tipe File: png/jpg/jpeg |</p>
                    <div v-for="(file, index) in editFilePhotos" :key="index">
                        <img v-if="!file.error" :src="getFileEdit(file)" alt="foto" width="100" height="auto" >
                        <br>
                        <a :href="getFileDownload(file.substring(11))" download>{{ file.substring(11) }} (Click for download)</a>
                        <br>
                        <button type="button" class="btn btn-danger" @click.prevent="removeFilePhotos(file,index)">Remove</button>
                        <hr/>
                    </div>
                    <div v-for="file in photos">
                        <img v-if="!file.error" :src="getFile(file.name)" alt="foto" width="100" height="auto" >
                        <span v-else>Can't Preview File</span>
                        <br/>
                        <a v-if="file.response.name" :href="getFileDownload(file.response.name)" download>{{ file.response.name }} (Click for download)</a>
                        <br/>
                        <span>File: {{file.name}}</span> |
                        <span>Size: {{file.size | formatSize}}</span>|
                        <span v-if="file.error" class="btn-danger pl-1 pr-1">{{(file.error=='denied'?"Upload File Failed":"Upload File Error")}}</span>
                        <span v-else-if="file.success"  class="btn-success pl-1 pr-1">Success Upload</span>
                        <span v-else-if="file.active">Proses Upload - {{file.progress}}/100</span>
                        <span v-else></span>
                        <div :class="{'progress-bar': true, 'progress-bar-striped': true, 'bg-danger': file.error, 'progress-bar-animated': file.active}" role="progressbar" :style="{width: file.progress + '%'}">{{file.progress}}%</div>
                        <button type="button" class="btn btn-danger" @click.prevent="removePhotos(file)">Remove</button>
                        <hr/>
                    </div>
                    <file-upload
                    class="btn btn-primary"
                    post-action="upload/photos"
                    extensions="jpg,jpeg,png"
                    accept="image/png,image/jpeg,image/jpg"
                    v-model="photos"
                    @input-filter="inputFilter"
                    @input-file="uploadPhotos"
                    ref="photos"
                    :multiple="false"
                    :maximum="4"
                    :headers="{'X-CSRF-TOKEN': token}"
                    :drop="true"
                    name="photos"
                    data-vv-as="Upload File"
                    :disabled='this.editFilePhotos.length + this.photos.length >= 4 ? true : false'
                    :v-validate="this.editFilePhotos.length + this.photos.length == 0 ? 'required' : ''">
                    <i class="fa fa-plus"></i>
                    Select files
                </file-upload>
                <div class="text-danger small">{{ veeErrors.first('photos') }}</div>
                <br>
            </div>
            <div class="form-group" v-if="inovasiStep==18">
                <label>18. Kualitas Inovasi Daerah (Video Inovasi Daerah)</label>
                <p style="font-size:12px; text-align: justify;">Kualitas inovasi daerah dapat dibuktikan dengan video penerapan inovasi daerah (2 Tahun Terakhir) dengan ketentuan video memvisualisasikan 5 substansi:1) Latar belakang inovasi 2) Penjaringan ide 3) Pemilihan ide 4) Manfaat inovasi 5) Dampak inovasi</p>
                <div class="form-check" v-for="video_inovasi in videoinovasi">
                    <label class="form-check-label">
                        <input  type="radio"
                        class="form-check-input"
                        id="video_inovasi_id"
                        :value="video_inovasi.id"
                        v-model="currentData.video_inovasi_id"
                        v-validate="'required'"
                        name="video_inovasi_id"
                        data-vv-as="Kualitas Inovasi Daerah (Video Inovasi Daerah)">
                        {{ video_inovasi.name }}
                        <i class="input-frame"></i>
                    </label>
                </div>
                <div class="text-danger small">{{ veeErrors.first('video_inovasi_id') }}</div>
                <a href="#" class="card-link font-italic" @click.prevent="unselect(18)">Clear Selected</a>
                <br>
                <label>Penjelasan Jawaban</label>
                <textarea
                class="form-control"
                id="ket_video"
                autocomplete="off"
                placeholder="Your answer"
                v-model="currentData.ket_video"
                v-validate="'required'"
                name="ket_video"
                data-vv-as="Penjelasan Jawaban"
                rows="5" />
                <div class="text-danger small">{{ veeErrors.first('ket_video') }}</div>
                <div v-if="(currentData.video_inovasi_id!=5)">
                    <div class="form-group" v-for="(linkvideo, index) in linkvideos" :key="index">
                        <label>Link Youtube {{index+1}}</label>
                        <input  type="text"
                        class="form-control"
                        id="link_video"
                        autocomplete="off"
                        placeholder="Your answer"
                        v-model="linkvideo.link_video"
                        v-validate="'required'"
                        name="link_video"
                        data-vv-as="Link Youtube">
                        <div class="text-danger small">{{ veeErrors.first('link_video') }}</div>
                        <hr />
                    </div>
                    <div class="form-group">
                        <button @click.prevent="addLinkvideo" v-if="(linkvideos.length<3)" type="button" class="btn btn-success">Add Link</button>
                            <button @click.prevent="deleteLinkvideo" v-if="(linkvideos.length>1)" type="button" class="btn btn-danger">Delete Link</button>
                        </div>
                    </div>

                    <br>
                </div>
                <div class="form-group" v-if="inovasiStep==19">
                    <label>19. Pengalaman Kompetisi Inovasi Daerah</label>
                    <div v-for="(pengalaman, index) in pengalamans" :key="index">
                        <label>Pengalaman Kompetisi Inovasi Daerah ke - {{index+1}}</label>
                        <p style="font-size:12px; text-align: justify;">Nama Kompetisi</p>
                        <input  type="text"
                        class="form-control"
                        id="nama_pengalaman"
                        autocomplete="off"
                        placeholder="Your answer"
                        v-model="pengalaman.nama_pengalaman"
                        name="nama_pengalaman"
                        data-vv-as="Nama Kompetisi">
                        <div class="text-danger small">{{ veeErrors.first('nama_pengalaman') }}</div>
                        <br>
                        <p style="font-size:12px; text-align: justify;">Penyelenggara</p>
                        <input  type="text"
                        class="form-control"
                        id="penyelenggara"
                        autocomplete="off"
                        placeholder="Your answer"
                        v-model="pengalaman.penyelenggara"
                        name="penyelenggara"
                        data-vv-as="Penyelenggara">
                        <div class="text-danger small">{{ veeErrors.first('penyelenggara') }}</div>
                        <br>
                        <p style="font-size:12px; text-align: justify;">Tahun</p>
                        <input  type="text"
                        class="form-control"
                        id="tahun_pengalaman"
                        autocomplete="off"
                        placeholder="Your answer"
                        v-model="pengalaman.tahun_pengalaman"
                        name="tahun_pengalaman"
                        data-vv-as="tahun_pengalaman">
                        <div class="text-danger small">{{ veeErrors.first('tahun_pengalaman') }}</div>
                        <br>
                        <p style="font-size:12px; text-align: justify;">Predikat yang diraih</p>
                        <input  type="text"
                        class="form-control"
                        id="predikat"
                        autocomplete="off"
                        placeholder="Your answer"
                        v-model="pengalaman.predikat"
                        name="predikat"
                        data-vv-as="Predikat yang diraih">
                        <div class="text-danger small">{{ veeErrors.first('predikat') }}</div>
                        <hr />
                    </div>
                    <div class="form-group">
                        <button @click="addPengalaman" type="button" class="btn btn-success">Add Pengalaman</button>
                        <button @click="deletePengalaman" v-if="(pengalamans.length>1)" type="button" class="btn btn-danger">Delete Pengalaman</button>
                    </div>
                    <br>
                </div>
                <div class="form-group" v-if="inovasiStep==20">
                    <label>20. Penghargaan Inovasi Daerah</label>
                    <div v-for="(penghargaan, index) in penghargaans" :key="index">
                        <label>Penghargaan Inovasi Daerah ke - {{index+1}}</label>
                        <p style="font-size:12px; text-align: justify;">Nama Penghargaan</p>
                        <input  type="text"
                        class="form-control"
                        id="nama_penghargaan"
                        autocomplete="off"
                        placeholder="Your answer"
                        v-model="penghargaan.nama_penghargaan"
                        name="nama_penghargaan"
                        data-vv-as="Nama Penghargaan">
                        <div class="text-danger small">{{ veeErrors.first('nama_penghargaan') }}</div>
                        <br>
                        <p style="font-size:12px; text-align: justify;">Pemberi Penghargaan</p>
                        <input  type="text"
                        class="form-control"
                        id="pemberi_penghargaan"
                        autocomplete="off"
                        placeholder="Your answer"
                        v-model="penghargaan.pemberi_penghargaan"
                        name="pemberi_penghargaan"
                        data-vv-as="Pemberi Penghargaan">
                        <div class="text-danger small">{{ veeErrors.first('pemberi_penghargaan') }}</div>
                        <br>
                        <p style="font-size:12px; text-align: justify;">Tahun</p>
                        <input  type="text"
                        class="form-control"
                        id="tahun_penghargaan"
                        autocomplete="off"
                        placeholder="Your answer"
                        v-model="penghargaan.tahun_penghargaan"
                        name="tahun_penghargaan"
                        data-vv-as="tahun_penghargaan">
                        <div class="text-danger small">{{ veeErrors.first('tahun_penghargaan') }}</div>
                        <hr />
                    </div>
                    <div class="form-group">
                        <button @click="addPenghargaan" type="button" class="btn btn-success">Add Penghargaan</button>
                        <button @click="deletePenghargaan" v-if="(penghargaans.length>1)" type="button" class="btn btn-danger">Delete Penghargaan</button>
                    </div>
                    <br>
                </div>
                <div class="form-group" v-if="inovasiStep==21">
                    <label>21. Hak Kekayaan Intelektual (HKI)</label>
                    <p style="font-size:12px; text-align: justify;">Nomor</p>
                    <input  type="text"
                    class="form-control"
                    id="nomor"
                    autocomplete="off"
                    placeholder="Your answer"
                    v-model="currentData.nomor"
                    name="nomor"
                    data-vv-as="Nomor">
                    <div class="text-danger small">{{ veeErrors.first('nomor') }}</div>
                    <br>
                    <p style="font-size:12px; text-align: justify;">Tanggal Permohonan</p>
                    <input  type="date"
                    class="form-control"
                    id="tanggal"
                    autocomplete="off"
                    placeholder="Your answer"
                    v-model="currentData.tanggal"
                    name="tanggal"
                    data-vv-as="Tanggal Permohonan">
                    <div class="text-danger small">{{ veeErrors.first('tanggal') }}</div>
                    <br>
                    <p style="font-size:12px; text-align: justify;">Nama Pencipta</p>
                    <input  type="text"
                    class="form-control"
                    id="nama_pencipta"
                    autocomplete="off"
                    placeholder="Your answer"
                    v-model="currentData.nama_pencipta"
                    name="nama_pencipta"
                    data-vv-as="Nama Pencipta">
                    <div class="text-danger small">{{ veeErrors.first('nama_pencipta') }}</div>
                    <br>
                    <p style="font-size:12px; text-align: justify;">Nama Pemegang Hak Cipta</p>
                    <input  type="text"
                    class="form-control"
                    id="pemegang_hakcipta"
                    autocomplete="off"
                    placeholder="Your answer"
                    v-model="currentData.pemegang_hakcipta"
                    name="pemegang_hakcipta"
                    data-vv-as="RNama Pemegang Hak Cipta">
                    <div class="text-danger small">{{ veeErrors.first('pemegang_hakcipta') }}</div>
                    <br>
                    <p style="font-size:12px; text-align: justify;">Jenis Ciptaan</p>
                    <input  type="text"
                    class="form-control"
                    id="jenis_ciptaan"
                    autocomplete="off"
                    placeholder="Your answer"
                    v-model="currentData.jenis_ciptaan"
                    name="jenis_ciptaan"
                    data-vv-as="Jenis Ciptaan">
                    <div class="text-danger small">{{ veeErrors.first('jenis_ciptaan') }}</div>
                    <br>
                    <p style="font-size:12px; text-align: justify;">Judul Ciptaan</p>
                    <input  type="text"
                    class="form-control"
                    id="judul_ciptaan"
                    autocomplete="off"
                    placeholder="Your answer"
                    v-model="currentData.judul_ciptaan"
                    name="judul_ciptaan"
                    data-vv-as="Judul Ciptaan">
                    <div class="text-danger small">{{ veeErrors.first('judul_ciptaan') }}</div>
                    <br>
                    <p style="font-size:12px; text-align: justify;">Nomor Pencatatan</p>
                    <input  type="text"
                    class="form-control"
                    id="nomor_pencatatan"
                    autocomplete="off"
                    placeholder="Your answer"
                    v-model="currentData.nomor_pencatatan"
                    name="nomor_pencatatan"
                    data-vv-as="Nomor Pencatatan">
                    <div class="text-danger small">{{ veeErrors.first('nomor_pencatatan') }}</div>
                    <br>
                </div>
            </form>
            <br>
            <button class="btn btn-primary" type="submit" v-if="inovasiStep!=1?'disabled':''" @click.prevent="submitStep(inovasiStep-1)">Previous</button>
            <button class="btn btn-primary float-right my-2 my-lg-0" type="submit" v-if="inovasiStep!=21?'disabled':''" @click.prevent="submitStep(inovasiStep+1)">Save Draft & Next</button>
            <button class="btn btn-primary float-right my-2 my-lg-0" type="submit" v-if="inovasiStep==21" @click.prevent="submitFinish(21)">Finish</button>
        </div>
    </div>
</div>
</div>
<button class="btn btn-primary" type="submit" @click.prevent="back()">Kembali</button>
</div>
</template>

<script>
    import Multiselect from 'vue-multiselect'
    import 'vue-multiselect/dist/vue-multiselect.min.css';

    export default {
        props: ['dataprops'],
        components: {
            Multiselect,
        },
        filters: {
            formatSize: function (value) {
                if (!value) return ''
                    let valKB = 0.000001*value
                return `${valKB.toFixed(2)} MB`
            }
        },
        //Binding Data
        data() {
            return {
                component:'EditinovasiOpd',
                token:document.head.querySelector('meta[name="csrf-token"]').content,

                currentData:{
                    id:'',
                    innovator_id:'',
                    nama_singkat:'',
                    nama_lengkap:'',
                    tahapan_inovasi_id:2,
                    inisiator_inovasi_id:1,
                    sistem_inovasi_id:1,
                    bentuk_inovasi_id:1,
                    jenis_inovasi_id:1,
                    covid_inovasi_id:1,
                    bidang_inovasi_id:1,
                    urusaninovasi:[],
                    waktu_ujicoba:'',
                    waktu_implementasi:'',

                    rancang_bangun:'',
                    tujuan:'',
                    manfaat:'',
                    hasil:'',
                    anggaran_inovasi_id:1,
                    ket_anggaran:'',
                    file_anggaran:[],
                    proses_inovasi_id:2,
                    ket_proses:'',
                    file_proses:[],
                    logo:[],
                    photos:[],
                    video_inovasi_id:1,
                    ket_video:'',

                    //hak kekayaan intelektual (HKI)
                    nomor:'',
                    tanggal:'',
                    nama_pencipta:'',
                    pemegang_hakcipta:'',
                    jenis_ciptaan:'',
                    judul_ciptaan:'',
                    nomor_pencatatan:'',

                    //dynamic form
                    linkvideos:[{
                        link_video:'',
                    }],
                    pengalamans:[{
                        nama_pengalaman:'',
                        penyelenggara:'',
                        tahun_pengalaman:'',
                        predikat:''
                    }],
                    penghargaans:[{
                        nama_penghargaan:'',
                        pemberi_penghargaan:'',
                        tahun_penghargaan:'',
                    }],
                    //check data when submitFinish
                    status:'',
                    checkinovasi:'',
                },
                //dynamic form
                linkvideos:[{
                    link_video:'',
                }],
                pengalamans:[{
                    nama_pengalaman:'',
                    penyelenggara:'',
                    tahun_pengalaman:'',
                    predikat:''
                }],
                penghargaans:[{
                    nama_penghargaan:'',
                    pemberi_penghargaan:'',
                    tahun_penghargaan:'',
                }],
                //innovator
                //initializing property funtion get data
                tahapaninovasi:[],
                inisiatorinovasi:[],
                sisteminovasi:[],
                bentukinovasi:[],
                jenisinovasi:[],
                covidinovasi:[],
                bidanginovasi:[],
                urusaninovasis:[],
                options: [
                ],
                anggaraninovasi:[],
                prosesinovasi:[],
                videoinovasi:[],

                //initializing property upload file
                // files: [],
                file_anggaran:[],
                file_proses:[],
                logo:[],
                photos:[],
                //check comment innovator
                checkComments:{
                    nama_inovasi:0,
                    tahapan_inovasi:0,
                    inisiator_inovasi:0,
                    sistem_inovasi:0,
                    bentuk_inovasi:0,
                    jenis_inovasi:0,
                    covid_inovasi:0,
                    bidang_inovasi:0,
                    urusan_inovasi:0,
                    waktu_ujicoba:0,
                    waktu_implementasi:0,
                    //
                    rancang_bangun:0,
                    tujuan_inovasi:0,
                    manfaat_inovasi:0,
                    hasil_inovasi:0,
                    anggaran_inovasi:0,
                    proses_inovasi:0,
                    logo_inovasi:0,
                    foto_inovasi:0,
                    video_inovasi:0,
                    pengalaman_inovasi:0,
                    penghargaan_inovasi:0,
                    hki_inovasi:0,
                },
                //comment
                comments:{
                    nama_inovasi:[],
                    tahapan_inovasi:[],
                    inisiator_inovasi:[],
                    sistem_inovasi:[],
                    bentuk_inovasi:[],
                    jenis_inovasi:[],
                    covid_inovasi:[],
                    bidang_inovasi:[],
                    urusan_inovasi:[],
                    waktu_ujicoba:[],
                    waktu_implementasi:[],
                    //
                    rancang_bangun:[],
                    tujuan_inovasi:[],
                    manfaat_inovasi:[],
                    hasil_inovasi:[],
                    anggaran_inovasi:[],
                    proses_inovasi:[],
                    logo_inovasi:[],
                    foto_inovasi:[],
                    video_inovasi:[],
                    pengalaman_inovasi:[],
                    penghargaan_inovasi:[],
                    hki_inovasi:[],
                },
                dataCommended:[],
                dataComments:{
                    id:'',
                    auditor_id:1,
                    innovation_id:'',
                    data:[]
                },

                // image_folder:"iconFile"
                image_folder:"iconFile",

                //Step Inovasi
                inovasiStep:1,
                stepAktif:'btn btn-light',
                step1:'btn btn-danger',
                step2:'btn btn-danger',
                step3:'btn btn-danger',
                step4:'btn btn-danger',
                step5:'btn btn-danger',
                step6:'btn btn-danger',
                step7:'btn btn-danger',
                step8:'btn btn-danger',
                step9:'btn btn-danger',
                step10:'btn btn-danger',
                step11:'btn btn-danger',
                step12:'btn btn-danger',
                step13:'btn btn-danger',
                step14:'btn btn-danger',
                step15:'btn btn-danger',
                step16:'btn btn-danger',
                step17:'btn btn-danger',
                step18:'btn btn-danger',
                step19:'btn btn-danger',
                step20:'btn btn-danger',
                step21:'btn btn-danger',
                step22:'btn btn-danger',
                step23:'btn btn-danger',

                //edit file
                editFilePhotos:[],
                editFileAnggarans:[],
                editFileProses:[],
                editFileLogo:[],
            }
        },

        created(){
            this.initial();
            this.getTahapanInovasi();
            this.getInisiatorInovasi();
            this.getSistemInovasi();
            this.getBentukInovasi();
            this.getJenisInovasi();
            this.getCovidInovasi();
            this.getBidangInovasi();
            this.getUrusanInovasi();
            this.getUrusanInovasi();
            this.getInnovator();
            this.getAnggaranInovasi();
            this.getProsesInovasi();
            this.getVideoInovasi();
            this.submitStep(1);

        },

        methods: {
            addComment(nama){
                if(nama == 'nama_inovasi'){
                    this.checkComments.nama_inovasi=1;
                }
                if(nama == 'tahapan_inovasi'){
                    this.checkComments.tahapan_inovasi=1;
                }
                if(nama == 'inisiator_inovasi'){
                    this.checkComments.inisiator_inovasi=1;
                }
                if(nama == 'sistem_inovasi'){
                    this.checkComments.sistem_inovasi=1;
                }
                if(nama == 'bentuk_inovasi'){
                    this.checkComments.bentuk_inovasi=1;
                }
                if(nama == 'jenis_inovasi'){
                    this.checkComments.jenis_inovasi=1;
                }
                if(nama == 'covid_inovasi'){
                    this.checkComments.covid_inovasi=1;
                }
                if(nama == 'bidang_inovasi'){
                    this.checkComments.bidang_inovasi=1;
                }
                if(nama == 'urusan_inovasi'){
                    this.checkComments.urusan_inovasi=1;
                }
                if(nama == 'waktu_ujicoba'){
                    this.checkComments.waktu_ujicoba=1;
                }
                if(nama == 'waktu_implementasi'){
                    this.checkComments.waktu_implementasi=1;
                }
                if(nama == 'rancang_bangun'){
                    this.checkComments.rancang_bangun=1;
                }
                if(nama == 'tujuan_inovasi'){
                    this.checkComments.tujuan_inovasi=1;
                }
                if(nama == 'manfaat_inovasi'){
                    this.checkComments.manfaat_inovasi=1;
                }
                if(nama == 'hasil_inovasi'){
                    this.checkComments.hasil_inovasi=1;
                }
                if(nama == 'anggaran_inovasi'){
                    this.checkComments.anggaran_inovasi=1;
                }
                if(nama == 'proses_inovasi'){
                    this.checkComments.proses_inovasi=1;
                }
                if(nama == 'logo_inovasi'){
                    this.checkComments.logo_inovasi=1;
                }
                if(nama == 'foto_inovasi'){
                    this.checkComments.foto_inovasi=1;
                }
                if(nama == 'video_inovasi'){
                    this.checkComments.video_inovasi=1;
                }
                if(nama == 'pengalaman_inovasi'){
                    this.checkComments.pengalaman_inovasi=1;
                }
                if(nama == 'penghargaan_inovasi'){
                    this.checkComments.penghargaan_inovasi=1;
                }
                if(nama == 'hki_inovasi'){
                    this.checkComments.hki_inovasi=1;
                }
            },
            deleteComment(nama){
                if(nama == 'nama_inovasi'){
                    this.checkComments.nama_inovasi=0;
                }
                if(nama == 'tahapan_inovasi'){
                    this.checkComments.tahapan_inovasi=0;
                }
                if(nama == 'inisiator_inovasi'){
                    this.checkComments.inisiator_inovasi=0;
                }
                if(nama == 'sistem_inovasi'){
                    this.checkComments.sistem_inovasi=0;
                }
                if(nama == 'bentuk_inovasi'){
                    this.checkComments.bentuk_inovasi=0;
                }
                if(nama == 'jenis_inovasi'){
                    this.checkComments.jenis_inovasi=0;
                }
                if(nama == 'covid_inovasi'){
                    this.checkComments.covid_inovasi=0;
                }
                if(nama == 'bidang_inovasi'){
                    this.checkComments.bidang_inovasi=0;
                }
                if(nama == 'urusan_inovasi'){
                    this.checkComments.urusan_inovasi=0;
                }
                if(nama == 'waktu_ujicoba'){
                    this.checkComments.waktu_ujicoba=0;
                }
                if(nama == 'waktu_implementasi'){
                    this.checkComments.waktu_implementasi=0;
                }
                if(nama == 'rancang_bangun'){
                    this.checkComments.rancang_bangun=0;
                }
                if(nama == 'tujuan_inovasi'){
                    this.checkComments.tujuan_inovasi=0;
                }
                if(nama == 'manfaat_inovasi'){
                    this.checkComments.manfaat_inovasi=0;
                }
                if(nama == 'hasil_inovasi'){
                    this.checkComments.hasil_inovasi=0;
                }
                if(nama == 'anggaran_inovasi'){
                    this.checkComments.anggaran_inovasi=0;
                }
                if(nama == 'proses_inovasi'){
                    this.checkComments.proses_inovasi=0;
                }
                if(nama == 'logo_inovasi'){
                    this.checkComments.logo_inovasi=0;
                }
                if(nama == 'foto_inovasi'){
                    this.checkComments.foto_inovasi=0;
                }
                if(nama == 'video_inovasi'){
                    this.checkComments.video_inovasi=0;
                }
                if(nama == 'pengalaman_inovasi'){
                    this.checkComments.pengalaman_inovasi=0;
                }
                if(nama == 'penghargaan_inovasi'){
                    this.checkComments.penghargaan_inovasi=0;
                }
                if(nama == 'hki_inovasi'){
                    this.checkComments.hki_inovasi=0;
                }
            },
            addTag (newTag) {
                const tag = {
                    id: newTag,
                    name: newTag,
                }
                this.urusaninovasis.push(tag)
                this.options.push(tag)
            },
            initial(){
                //datacommnt
                this.dataComments.innovation_id = this.dataprops.data.id;
                this.dataComments.id = this.dataprops.data.varifikasidokumen.id;
                this.dataCommended = JSON.parse(this.dataprops.data.varifikasidokumen.data)
                this.comments.nama_inovasi=this.dataCommended.nama_inovasi;
                this.comments.tahapan_inovasi=this.dataCommended.tahapan_inovasi;
                this.comments.inisiator_inovasi=this.dataCommended.inisiator_inovasi;
                this.comments.sistem_inovasi=this.dataCommended.sistem_inovasi;
                this.comments.bentuk_inovasi=this.dataCommended.bentuk_inovasi;
                this.comments.jenis_inovasi=this.dataCommended.jenis_inovasi;
                this.comments.covid_inovasi=this.dataCommended.covid_inovasi;
                this.comments.bidang_inovasi=this.dataCommended.bidang_inovasi;
                this.comments.urusan_inovasi=this.dataCommended.urusan_inovasi;
                this.comments.waktu_ujicoba=this.dataCommended.waktu_ujicoba;
                this.comments.waktu_implementasi=this.dataCommended.waktu_implementasi;
                this.comments.rancang_bangun=this.dataCommended.rancang_bangun;
                this.comments.tujuan_inovasi=this.dataCommended.tujuan_inovasi;
                this.comments.manfaat_inovasi=this.dataCommended.manfaat_inovasi;
                this.comments.hasil_inovasi=this.dataCommended.hasil_inovasi;
                this.comments.anggaran_inovasi=this.dataCommended.anggaran_inovasi;
                this.comments.proses_inovasi=this.dataCommended.proses_inovasi;
                this.comments.logo_inovasi=this.dataCommended.logo_inovasi;
                this.comments.foto_inovasi=this.dataCommended.foto_inovasi;
                this.comments.video_inovasi=this.dataCommended.video_inovasi;
                this.comments.pengalaman_inovasi=this.dataCommended.pengalaman_inovasi;
                this.comments.penghargaan_inovasi=this.dataCommended.penghargaan_inovasi;
                this.comments.hki_inovasi=this.dataCommended.hki_inovasi;
                //inovation
                this.editFilePhotos = JSON.parse(this.dataprops.data.photos) || [];
                this.editFileAnggarans = JSON.parse(this.dataprops.data.file_anggaran) || [];
                this.editFileProses = JSON.parse(this.dataprops.data.file_proses) || [];
                (this.dataprops.data.logo)?this.editFileLogo.push(this.dataprops.data.logo):[];
                this.urusaninovasis = this.dataprops.data.urusaninovasi || [];
                // this.currentData.ket_proses = (this.dataprops.data.ket_proses)?this.dataprops.data.ket_proses:'';
                this.currentData.ket_proses = this.dataprops.data.ket_proses||''
                this.currentData.id = this.dataprops.data.id
                this.currentData.innovator_id = this.dataprops.data.innovator_id
                this.currentData.nama_singkat = this.dataprops.data.nama_singkat || ''
                this.currentData.nama_lengkap = this.dataprops.data.nama_lengkap || ''
                this.currentData.tahapan_inovasi_id = this.dataprops.data.tahapan_inovasi_id
                this.currentData.inisiator_inovasi_id = this.dataprops.data.inisiator_inovasi_id
                this.currentData.sistem_inovasi_id = this.dataprops.data.sistem_inovasi_id
                this.currentData.bentuk_inovasi_id = this.dataprops.data.bentuk_inovasi_id
                this.currentData.jenis_inovasi_id = this.dataprops.data.jenis_inovasi_id
                this.currentData.covid_inovasi_id = this.dataprops.data.covid_inovasi_id
                this.currentData.bidang_inovasi_id = this.dataprops.data.bidang_inovasi_id
                this.currentData.waktu_ujicoba = this.dataprops.data.waktu_ujicoba || ''
                this.currentData.waktu_implementasi = this.dataprops.data.waktu_implementasi || ''
                this.currentData.rancang_bangun= this.dataprops.data.rancang_bangun || ''
                this.currentData.tujuan= this.dataprops.data.tujuan || ''
                this.currentData.manfaat= this.dataprops.data.manfaat || ''
                this.currentData.hasil= this.dataprops.data.hasil || ''
                this.currentData.anggaran_inovasi_id= this.dataprops.data.anggaran_inovasi_id
                this.currentData.ket_anggaran= this.dataprops.data.ket_anggaran || ''
                this.currentData.proses_inovasi_id= this.dataprops.data.proses_inovasi_id
                this.currentData.video_inovasi_id= this.dataprops.data.video_inovasi_id
                this.currentData.ket_video= this.dataprops.data.ket_video || ''

                //dynamic form
                this.linkvideos=JSON.parse(this.dataprops.data.linkvideos)
                this.pengalamans=this.dataprops.data.pengalamans
                this.penghargaans=this.dataprops.data.penghargaans
                this.currentData.checkinovasi=this.dataprops.data.checkinovasi
                this.currentData.status=this.dataprops.data.status

                //hak kekayaan intelektual (HKI)
                if (this.dataprops.data.hkis!=null) {
                    this.currentData.nomor=this.dataprops.data.hkis.nomor || ''
                    this.currentData.tanggal=this.dataprops.data.hkis.tanggal || ''
                    this.currentData.nama_pencipta=this.dataprops.data.hkis.nama_pencipta || ''
                    this.currentData.pemegang_hakcipta=this.dataprops.data.hkis.pemegang_hakcipta || ''
                    this.currentData.jenis_ciptaan=this.dataprops.data.hkis.jenis_ciptaan || ''
                    this.currentData.judul_ciptaan=this.dataprops.data.hkis.judul_ciptaan || ''
                    this.currentData.nomor_pencatatan=this.dataprops.data.hkis.nomor_pencatatan || ''
                }
            },
            getInnovator(){
                let url = 'getinnovator'
                axios.get(url).then(response => {
                   this.currentData.innovator_id = response.data.id
               })
            },
            getAnggaranInovasi(){
                let url = 'get/anggaraninovasi'
                axios.get(url).then(response => {
                   this.anggaraninovasi = response.data
               })
            },
            getProsesInovasi(){
                let url = 'get/prosesinovasi'
                axios.get(url).then(response => {
                   this.prosesinovasi = response.data
               })
            },
            getVideoInovasi(){
                let url = 'get/videoinovasi'
                axios.get(url).then(response => {
                   this.videoinovasi = response.data
               })
            },

            //function dynamic form
            addLinkvideo() {
                if (this.linkvideos.length<=2) {
                    let form = {
                        link_video:'',
                    }
                    this.linkvideos.push(form)
                }
            },
            deleteLinkvideo() {
                if (this.linkvideos.length>1) {
                    let form = {
                        link_video:'',
                    }
                    this.linkvideos.pop(form)
                }
            },
            addPenghargaan() {
                let form = {
                    nama_penghargaan:'',
                    pemberi_penghargaan:'',
                    tahun_penghargaan:'',
                }
                this.penghargaans.push(form)
            },
            deletePenghargaan() {
                if (this.penghargaans.length>1) {
                    let form = {
                        nama_penghargaan:'',
                        pemberi_penghargaan:'',
                        tahun_penghargaan:'',
                    }
                    this.penghargaans.pop(form)
                }
            },
            addPengalaman() {
                let form = {
                    nama_pengalaman:'',
                    penyelenggara:'',
                    tahun_pengalaman:'',
                    predikat:''
                }
                this.pengalamans.push(form)
            },
            deletePengalaman() {
                if (this.pengalamans.length>1) {
                    let form = {
                        nama_pengalaman:'',
                        penyelenggara:'',
                        tahun_pengalaman:'',
                        predikat:''
                    }
                    this.pengalamans.pop(form)
                }
            },
            unselect(number){
                // (number===2)?this.currentData.tahapan_inovasi_id=1:'';
                (number===2)?this.currentData.inisiator_inovasi_id=1:'';
                (number===3)?this.currentData.sistem_inovasi_id=1:'';
                (number===4)?this.currentData.bentuk_inovasi_id=1:'';
                (number===5)?this.currentData.jenis_inovasi_id=1:'';
                (number===6)?this.currentData.covid_inovasi_id=1:'';
                (number===7)?this.currentData.bidang_inovasi_id=1:'';
                (number===15)?this.currentData.anggaran_inovasi_id=1:'';
                // (number===17)?this.currentData.proses_inovasi_id=1:'';
                (number===18)?this.currentData.video_inovasi_id=1:'';
            },
            //function to get all data from laravel route (Frontend/Home)
            getTahapanInovasi() {
                let url = 'get/tahapaninovasi'
                axios.get(url).then(response => {
                   this.tahapaninovasi = response.data
               })
            },
            getInisiatorInovasi(){
                let url = 'get/inisiatorinovasi'
                axios.get(url).then(response => {
                   this.inisiatorinovasi = response.data
               })
            },
            getSistemInovasi(){
                let url = 'get/sisteminovasi'
                axios.get(url).then(response => {
                   this.sisteminovasi = response.data
               })
            },
            getBentukInovasi(){
                let url = 'get/bentukinovasi'
                axios.get(url).then(response => {
                   this.bentukinovasi = response.data
               })
            },
            getJenisInovasi(){
                let url = 'get/jenisinovasi'
                axios.get(url).then(response => {
                   this.jenisinovasi = response.data
               })
            },
            getCovidInovasi(){
                let url = 'get/covidinovasi'
                axios.get(url).then(response => {
                   this.covidinovasi = response.data
               })
            },
            getBidangInovasi(){
                let url = 'get/bidanginovasi'
                axios.get(url).then(response => {
                   this.bidanginovasi = response.data
               })
            },
            getUrusanInovasi(){
                let url = 'get/urusaninovasi'
                axios.get(url).then(response => {
                //    this.urusaninovasi = response.data
                this.options = response.data
                //    this.options.urusanid = response.data
            })
            },
            submitStep(step){
                this.inovasiStep = step
                this.submit()
                // step 1
                if (this.currentData.nama_singkat!='' && this.currentData.nama_lengkap !='') {
                    this.step1 = 'btn btn-success'
                }else if (this.currentData.nama_singkat!='' || this.currentData.nama_lengkap !='') {
                    this.step1 = 'btn btn-warning'
                }else{
                    this.step1 = 'btn btn-danger'
                }
                //step 2
                (this.currentData.inisiator_inovasi_id!=1)? this.step2 = 'btn btn-success': this.step2 = 'btn btn-danger';
                //step 3
                (this.currentData.sistem_inovasi_id!=1)? this.step3 = 'btn btn-success':this.step3 = 'btn btn-danger';
                //step 4
                (this.currentData.bentuk_inovasi_id!=1)?this.step4 = 'btn btn-success':this.step4 = 'btn btn-danger';
                //step 5
                (this.currentData.jenis_inovasi_id!=1)?this.step5 = 'btn btn-success':this.step5 = 'btn btn-danger';
                //step 6
                (this.currentData.covid_inovasi_id!=1)?this.step6 = 'btn btn-success':this.step6 = 'btn btn-danger';
                //step 7
                (this.currentData.bidang_inovasi_id!=1)?this.step7 = 'btn btn-success':this.step7 = 'btn btn-danger';
                //step 8
                (this.urusaninovasis!='')?this.step8 = 'btn btn-success':this.step8 = 'btn btn-danger';
                // step 9
                (this.currentData.waktu_ujicoba!='')?this.step9 = 'btn btn-success':this.step9 = 'btn btn-danger';
                // step 10
                (this.currentData.waktu_implementasi!='')?this.step10 = 'btn btn-success':this.step10 = 'btn btn-danger';
                // step 11
                (this.currentData.rancang_bangun!='')?this.step11 = 'btn btn-success':this.step11 = 'btn btn-danger';
                // step 12
                (this.currentData.tujuan!='')?this.step12 = 'btn btn-success':this.step12 = 'btn btn-danger';
                // step 13
                (this.currentData.manfaat!='')?this.step13 = 'btn btn-success':this.step13 = 'btn btn-danger';
                // step 14
                (this.currentData.hasil!='')?this.step14 = 'btn btn-success':this.step14 = 'btn btn-danger';
                // step 15
                if (this.currentData.anggaran_inovasi_id!=1 && this.currentData.ket_anggaran !='' && this.currentData.anggaran_inovasi_id!=3 &&this.currentData.file_anggaran !='') {
                    this.step15 = 'btn btn-success'
                }else if(this.currentData.anggaran_inovasi_id==3 && this.currentData.ket_anggaran !=''){
                    this.step15 = 'btn btn-success'
                }else if (this.currentData.anggaran_inovasi_id!=1 || this.currentData.ket_anggaran !='') {
                    this.step15 = 'btn btn-warning'
                }else{
                    this.step15 = 'btn btn-danger'
                }
                // step 16
                (this.logo!=''|| this.editFileLogo!='')?this.step16 = 'btn btn-success':this.step16 = 'btn btn-danger';
                // step 17
                (this.photos!=''||this.editFilePhotos!='')?this.step17 = 'btn btn-success':this.step17 = 'btn btn-danger';
                // step 18
                if (this.currentData.video_inovasi_id !=1 && this.currentData.ket_video !='' && this.currentData.video_inovasi_id !=5 && this.linkvideos[0].link_video !='') {
                    this.step18 = 'btn btn-success'
                }else if (this.currentData.video_inovasi_id==5 && this.currentData.ket_video !='') {
                    this.step18 = 'btn btn-success'
                }else if (this.currentData.video_inovasi_id!=1 || this.currentData.ket_video !='') {
                    this.step18 = 'btn btn-warning'
                }else{
                    this.step18 = 'btn btn-danger'
                }
                // step 19
                if (this.pengalamans[0].nama_pengalaman !='' && this.pengalamans[0].penyelenggara !='' && this.pengalamans[0].tahun_pengalaman !='' && this.pengalamans[0].predikat !='') {
                    this.step19 = 'btn btn-success'
                }else if (this.pengalamans[0].nama_pengalaman !='' || this.pengalamans[0].penyelenggara !='' || this.pengalamans[0].tahun_pengalaman !='' || this.pengalamans[0].predikat !='') {
                    this.step19 = 'btn btn-warning'
                }else{
                    this.step19 = 'btn btn-danger'
                }
                // step 20
                if (this.penghargaans[0].nama_penghargaan !='' && this.penghargaans[0].pemberi_penghargaan !='' && this.penghargaans[0].tahun_penghargaan) {
                    this.step20 = 'btn btn-success'
                }else if (this.penghargaans[0].nama_penghargaan !='' || this.penghargaans[0].pemberi_penghargaan !='' || this.penghargaans[0].tahun_penghargaan) {
                    this.step20 = 'btn btn-warning'
                }else{
                    this.step20 = 'btn btn-danger'
                }
                // // step 21
                if (this.currentData.nomor !='' && this.currentData.tanggal !='' && this.currentData.nama_pencipta !='' && this.currentData.pemegang_hakcipta !=''  && this.currentData.jenis_ciptaan !='' && this.currentData.judul_ciptaan !=''  && this.currentData.nomor_pencatatan !='') {
                    this.step21 = 'btn btn-success'
                }else if (this.currentData.nomor !='' || this.currentData.tanggal !='' || this.currentData.nama_pencipta !='' || this.currentData.pemegang_hakcipta !=''  || this.currentData.jenis_ciptaan !='' || this.currentData.judul_ciptaan !=''  || this.currentData.nomor_pencatatan !='') {
                    this.step21 = 'btn btn-warning'
                }else{
                    this.step21 = 'btn btn-danger'
                }
            },
            //function when user click the button submit
            submit(){
                //fle
                this.currentData.logo=[];
                if (this.logo!=0) {
                    this.currentData.logo =`${this.logo[0].response.file}`
                }
                if (this.editFileLogo!='') {
                    this.editFileLogo.forEach(photo => {
                        this.currentData.logo.push(photo)
                    });
                }
                //photo
                this.currentData.photos=[];
                if (this.photos!='') {
                    this.photos.forEach(photo => {
                        let data = `${photo.response.file}`
                        this.currentData.photos.push(data)
                    });
                }
                if (this.editFilePhotos!='') {
                    this.editFilePhotos.forEach(photo => {
                        this.currentData.photos.push(photo)
                    });
                }
                if (this.editFilePhotos!=''||this.photos!=''){
                    this.currentData.photos = JSON.stringify(this.currentData.photos)

                }
                //file anggaran
                this.currentData.file_anggaran=[];
                if (this.file_anggaran!='') {
                    this.file_anggaran.forEach(photo => {
                        let data = `${photo.response.file}`
                        this.currentData.file_anggaran.push(data)
                    });
                }
                if (this.editFileAnggarans!='') {
                    this.editFileAnggarans.forEach(photo => {
                        this.currentData.file_anggaran.push(photo)
                    });
                }
                if (this.editFileAnggarans!=''||this.file_anggaran!=''){
                    this.currentData.file_anggaran = JSON.stringify(this.currentData.file_anggaran)
                }
                //file proses
                this.currentData.file_proses=[];
                if (this.file_proses!=0) {
                    this.file_proses.forEach(photo => {
                        let data = `${photo.response.file}`
                        this.currentData.file_proses.push(data)
                    });
                }
                if (this.editFileProses!='') {
                    this.editFileProses.forEach(photo => {
                        this.currentData.file_proses.push(photo)
                    });
                }
                if (this.editFileProses!=''||this.file_proses!=''){
                    this.currentData.file_proses = JSON.stringify(this.currentData.file_proses)
                }

                //dynamic form
                this.currentData.urusaninovasi = JSON.stringify(this.urusaninovasis)
                //clone useing lodash
                this.currentData.linkvideos =  _.cloneDeep(this.linkvideos)
                this.currentData.linkvideos = JSON.stringify(this.currentData.linkvideos)
                this.currentData.pengalamans =  _.cloneDeep(this.pengalamans)
                this.currentData.pengalamans = JSON.stringify(this.currentData.pengalamans)
                this.currentData.penghargaans =  _.cloneDeep(this.penghargaans)
                this.currentData.penghargaans = JSON.stringify(this.currentData.penghargaans)
                this.dataComments.data = []
                this.dataComments.data = JSON.stringify(this.comments)
                this.insertData()
                this.insertComment()
                // console.log(this.currentData)
            },
            //function when user click the button submitFinish
            submitFinish(){
                // this.currentData.urusaninovasi = JSON.stringify(this.urusaninovasis)

                // check data when submitFinish
                if (this.step1=='btn btn-success' && this.step2=='btn btn-success' && this.step3=='btn btn-success' && this.step4=='btn btn-success' && this.step5=='btn btn-success' &&
                    this.step6=='btn btn-success' &&  this.step7=='btn btn-success' && this.step8=='btn btn-success' && this.step9=='btn btn-success' && this.step10=='btn btn-success' &&
                    this.step11=='btn btn-success' &&  this.step12=='btn btn-success' && this.step13=='btn btn-success' && this.step14=='btn btn-success' && this.step15=='btn btn-success' &&
                    this.step16=='btn btn-success' &&  this.step17=='btn btn-success' && this.step18=='btn btn-success' 
                    // && this.step19=='btn btn-success' && this.step20=='btn btn-success'
                    ) {
                    this.currentData.checkinovasi=1
                    // to next component
                    this.toNextComponent('DataInovasi')
                    Toast.success('Input data Innovation sudah selesai!');

                }else{
                    Toast.warning('Error! Tolong check step 1 - 18 ');
                }
                this.submit()
            },

            formData(obj){
                var formData = new FormData();
                for (var key in obj) {
                    formData.append(key, obj[key]);
                }
                return formData;
            },

            //function send data comment
            async insertComment(){
                let data = this.formData(this.dataComments)
                // console.log(this.dataComments)
                let id = this.dataComments.id
                let url = `update/comments/${id}`
                await axios.post(url,data).then(response => {
                   this.dataComments.id = response.data
               })
            },
            //function send data to backend (/form2/send/Id) and get the the current Id
            async insertData(){
                let data = this.formData(this.currentData)
                let id = this.dataprops.data.id
                let url = `update/innovations/${id}`
                await axios.post(url,data).then(response => {
                //    this.currentData.id = response.data
            })
            },
            back(){
                // this.submit()
                let data = {
                    visit : 'DataInovasi'
                }
                this.$emit('datacomponent', data)
            },
            //function send to next component
            toNextComponent(visit){
                //kita combinasikan data form 1 dan form 2
                // let datamerged = Object.assign( {}, this.dataprops, this.currentData);

                let data = {
                    back:this.component,
                    data:this.currentData,
                    visit
                }
                this.$emit('datacomponent', data)
            },

            //function for inputfilter file from Plugin
            inputFilter(newFile, oldFile, prevent) {
              if (newFile && !oldFile) {
                if (/(\/|^)(Thumbs\.db|desktop\.ini|\..+)$/.test(newFile.name)) {
                  return prevent()
              }
              if (/\.(php5?|html?|jsx?)$/i.test(newFile.name)) {
                  return prevent()
              }
          }
      },

            //function for activing upload file when user upload the file
            uploadFileAnggaran() {
                this.$refs.file_anggaran.active = true
            },
            uploadFileProses() {
                this.$refs.file_proses.active = true
            },
            uploadLogo() {
                this.$refs.logo.active = true
            },
            uploadPhotos() {
                // if (this.photos.length <= 3) {
                    this.$refs.photos.active = true
                // }
            },

            //function download file
            getFileDownload(linkFile){
                // let link
                return `/uploadfile/${linkFile}`
            },

            //remove file
            removeAnggaran(file) {
              let filearray=[]
              filearray['filename'] = file.response.file

              this.removeFile(filearray)
              this.$refs.file_anggaran.remove(file)
          },
          removeProses(file) {
              let filearray=[]
              filearray['filename'] = file.response.file

              this.removeFile(filearray)
              this.$refs.file_proses.remove(file)
          },
          removePhotos(file) {
              let filearray=[]
              filearray['filename'] = file.response.file

              this.removeFile(filearray)
              this.$refs.photos.remove(file)
          },
          removeLogo(file) {
              let filearray=[]
              filearray['filename'] = file.response.file

              this.removeFile(filearray)
              this.$refs.logo.remove(file)
          },

            //remove file when innovator edit kuisioner
            removeFileAnggarans(file,index){
                this.editFileAnggarans.splice(index,1)
                let filearray=[]
                filearray['filename'] = file
                this.removeFile(filearray)
            },
            removeFileProses(file,index){
                this.editFileProses.splice(index,1)
                let filearray=[]
                filearray['filename'] = file
                this.removeFile(filearray)
            },
            removeFileLogo(file,index){
                this.editFileLogo.splice(index,1)
                let filearray=[]
                filearray['filename'] = file
                this.removeFile(filearray)
            },
            removeFilePhotos(file,index){
                this.editFilePhotos.splice(index,1)
                let filearray=[]
                filearray['filename'] = file
                this.removeFile(filearray)
            },
            //remove file general
            removeFile(file){
                let data = this.formData(file)
                let url = 'delete/files'
                axios.post(url,data).then(response => {
                //    this.currentData.id = response.data
            })
            },
            //function download file
            getFileDownload(linkFile){
                // let link
                return `/uploadfile/${linkFile}`
            },
            //get file
            getFile(link){
              return `/${this.image_folder}/file.png`
          },
          getFileEdit(link){
            let extension = link.substr(link.lastIndexOf('.') + 1)
            if (extension==='jpg' || extension==='jpeg' || extension==='png' || extension==='webp') {
                return `/${link}`
            }else{
                return `/${this.image_folder}/file.png`
            }
        },
    },
}
</script>

<style>

</style>
